Skip to main content
`Ctrl`+`K`

# PetscDrawSPSetLimits

Sets the axis limits for a scatter plot. If more points are added after this call, the limits will be adjusted to include those additional points.

## Synopsis

    #include "petscdraw.h"
    #include "petscsys.h"
    PetscErrorCode PetscDrawSPSetLimits(PetscDrawSP sp, PetscReal x_min, PetscReal x_max, PetscReal y_min, PetscReal y_max)

Not Collective

## Input Parameters

- sp - the line graph context

- x_min - the horizontal lower limit

- x_max - the horizontal upper limit

- y_min - the vertical lower limit

- y_max - the vertical upper limit

## See Also

`PetscDrawSP`, `PetscDrawAxis`, `PetscDrawSPCreate()`, `PetscDrawSPDraw()`, `PetscDrawSPAddPoint()`, `PetscDrawSPAddPoints()`, `PetscDrawSPGetAxis()`

## Level

intermediate

## Location

src/sys/classes/draw/utils/dscatter.c

Index of all Draw routines
Table of Contents for all manual pages
Index of all manual pages